#include <iostream>

using namespace std;

int main()
{
    int N,K,p,temp;
    cin>>N>>K>>p;
    for(int i=1; i<N; i++){
        cin>>temp;
        if(temp==K&&i!=N-1){
                cin>>p;
                i++;
        }
    }
    cout<<p;
}